## haskell-type-level 0.2.4

=== debian/changelog ===
haskell-type-level (0.2.4-6) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:02:18 +0200

haskell-type-level (0.2.4-5) unstable; urgency=low

  * Remove doc-base file, avoids squeeze → wheezy upgrade problems

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 22:53:51 +0200

haskell-type-level (0.2.4-4) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Iain Lane <laney@debian.org>  Thu, 23 Feb 2012 11:17:27 +0000

haskell-type-level (0.2.4-3) unstable; urgency=low

  * Build-Depend on ghc-ghci, to only attempt builds on architectures where
    template haskell is available.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 05 Apr 2011 20:27:32 +0530

haskell-type-level (0.2.4-2) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 03 Apr 2011 10:09:37 +0530

haskell-type-level (0.2.4-1) unstable; urgency=low

  * Initial debian package. Closes: #574102.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 30 Mar 2010 20:26:13 +1100
