=== debian/control ===
Source: haskell-type-level
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8.13)
  , ghc
  , ghc-prof
  , libghc-syb-dev
  , libghc-syb-prof
  , ghc-ghci
Build-Depends-Indep: ghc-doc
  , libghc-syb-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/type-level
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-type-level
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-type-level

Package: libghc-type-level-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A Haskell library for type-level programming
 A haskell library for performing computations on the type-level. Type-level
 functions are implemented using functional dependencies of multi parameter
 type classes. To date, Booleans and Numerals (Naturals and Positives) are
 supported. With regard to Numerals, there is support for common arithmetic
 operations (addition, substraction, multiplication, division, exponientation,
 logarithm, maximum, comparison, GCD) over natural numbers (using a decimal
 representation to make compile-time errors friendlier). Although making use
 of type-level computations might seem devious and obfuscated at first sight,
 it is indeed useful in practice to implement lightweight dependent types
 such as number-parameterized types (e.g. an array type parameterized by the
 array's size or a modular group type Zn parameterized by the modulus).
 .
 This package contains the libraries compiled for GHC.

Package: libghc-type-level-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Profiling libraries for type-level programming in Haskell
 A haskell library for performing computations on the type-level. Type-level
 functions are implemented using functional dependencies of multi parameter
 type classes. To date, Booleans and Numerals (Naturals and Positives) are
 supported. With regard to Numerals, there is support for common arithmetic
 operations (addition, substraction, multiplication, division, exponientation,
 logarithm, maximum, comparison, GCD) over natural numbers (using a decimal
 representation to make compile-time errors friendlier). Although making use
 of type-level computations might seem devious and obfuscated at first sight,
 it is indeed useful in practice to implement lightweight dependent types
 such as number-parameterized types (e.g. an array type parameterized by the
 array's size or a modular group type Zn parameterized by the modulus).
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-type-level-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Documentation for type-level programming in Haskell
 A haskell library for performing computations on the type-level. Type-level
 functions are implemented using functional dependencies of multi parameter
 type classes. To date, Booleans and Numerals (Naturals and Positives) are
 supported. With regard to Numerals, there is support for common arithmetic
 operations (addition, substraction, multiplication, division, exponientation,
 logarithm, maximum, comparison, GCD) over natural numbers (using a decimal
 representation to make compile-time errors friendlier). Although making use
 of type-level computations might seem devious and obfuscated at first sight,
 it is indeed useful in practice to implement lightweight dependent types
 such as number-parameterized types (e.g. an array type parameterized by the
 array's size or a modular group type Zn parameterized by the modulus).
 .
 This package contains the library documentation.
